WATCH(1)

BEZEICHNUNG
watch - führt ein Programm in periodischen Abständen aus und zeigt die Ausgabe im Vollbild an

ÜBERSICHT
watch [Optionen] Befehl

BESCHREIBUNG
watch runs command repeatedly, displaying its output and errors (the first screenfull). This allows you to watch the program output change over time. By default, command is run every 2 seconds and watch will run until interrupted.

OPTIONEN

-d, --differences [permanent]
    hebt die Unterschiede zwischen aufeinanderfolgenden Aktualisierungen hervor. Optionale Argumente werden gelesen, die dafür sorgen, dass die Hervorhebung erhalten bleibt. Dies erlaubt Ihnen zu sehen, was sich mindestens seit dem ersten Durchlauf geändert hat.

-n, --interval Sekunden
    Specify update interval. The command will not allow quicker than 0.1 second interval, in which the smaller values are converted. Both '.' and ',' work for any locales.

-p, --precise
    ermöglicht watch zu versuchen, den Befehl im angegebenen Intervall (in Sekunden) auszuführen. Versuchen Sie dies mit ntptime und beachten Sie, wie die Sekundenbruchteile (beinahe) gleich bleiben, während sie sich im Normalmodus ständig erhöhen.

-t, --no-title
    schaltet die Anzeige der Kopfzeile ab, die das Intervall, den Befehl und die aktuelle Zeit im oberen Bereich des Bildschirms anzeigt, sowie die nachfolgende Leerzeile.

-b, --beep
    spielt einen Warnklang ab, wenn die Ausgabe des Befehls nicht Null ist.

-e, --errexit
    friert die Aktualisierungen bei Fehlern in der Befehlsausgabe ein und beendet nach Tastendruck.

-g, --chgexit
    beendet das Programm, wenn sich die Ausgabe des Befehls ändert.

-c, --color
    interpretiert ANSI-Farb- und Stilsequenzen.

-x, --exec
    Pass command to exec(2) instead of sh -c which reduces the need to use extra quoting to get the desired effect.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-v, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

    0   Erfolg.
    1   Verschiedene Fehler.
    2   Forken des zu überwachenden Prozesses ist fehlgeschlagen.
    3   Replacing child process stdout with write side pipe failed.
    4   Ausführung des Befehls ist fehlgeschlagen.
    5   Closing child process write pipe failed.
    7   Erstellung der IPC-Pipe ist fehlgeschlagen.
    8   Das Ermitteln des Rückgabewertes des Kindprozesses mit waitpid(2) ist fehlgeschlagen oder der Befehl wurde mit einem Fehler beendet.
    andere
        Die Überwachung propagiert den Exit-Status des Befehls als Exit-Status des Kindprozesses.

ANMERKUNGEN
POSIX option processing is used (i.e., option processing stops at the first non-option argument). This means that flags after command don't get interpreted by watch itself.

FEHLER
Nach der Größenänderung des Terminals wird der Bildschirm bis zur nächsten planmäßigen Aktualisierung nicht korrekt neu gezeichnet. Alle durch --differences verursachten Hervorhebungen gehen bei einer Aktualisierung ebenfalls verloren. Nicht darstellbare Zeichen werden aus der Programmausgabe entfernt. Verwenden Sie »cat -v« als Teil der Befehlsweiterleitung, falls Sie diese sehen wollen. Kombinationszeichen, die in der letzten Spalte angezeigt werden sollen, können eine Spalte eher angezeigt werden, oder überhaupt nicht. Kombinationszeichen werden im --differences-Modus niemals als unterschiedliche Zeichen aufgefasst. Lediglich das Basiszeichen ist von Belang. Leere Zeilen direkt nach einer Zeile, die in der letzten Spalte endet, werden nicht angezeigt. --precise mode doesn't yet have advanced temporal distortion technology to compensate for a command that takes more than interval seconds to execute. watch also can get into a state where it rapid-fires as many executions of command as it can to catch up from a previous executions running longer than interval (for example, netstat taking ages on a DNS lookup).

BEISPIELE
Um nach Ihren Mails zu sehen, versuchen Sie
    watch -n 60 from
Um die Änderungen von Verzeichnisinhalten zu überwachen, verwenden Sie
    watch -d ls -l
Falls Sie nur an Dateien interessiert sind, die dem Benutzer »hans« gehören, verwenden Sie
    watch -d 'ls -l | fgrep hans'
Um die Wirkung von Zitatzeichen zu sehen, versuchen Sie
    watch echo $$
    watch echo '$$'
    watch echo "'"'$$'"'"
To see the effect of precision time keeping, try adding -p to
    watch -n 10 sleep 1
Sie können anzeigen lassen, wann der Administrator den neuesten Kernel installiert:
    watch uname -r
(Beachten Sie, dass -p nicht unbedingt nach einem Neustart des Systems funktioniert, speziell im Hinblick auf ntpdate oder anderen beim Systemstart die Zeit anpassenden Mechanismen.)